# Trail Skins
#function levelup:levels/levelup/archery/archeryarrowbuffs/trailskins
# Hunting XP Convert
function levelup:levels/xpconvert/hunting
# Food Convert
function levelup:levels/xpconvert/food
execute as @a[scores={foodEaten=1..,chefPallete=1..}] run function levelup:levels/levelup/cooking/chefspallete/chefpalletecheck
# Hunting Sense
execute as @a[scores={huntingSense=1..,timeCrouched=100..,huntingSenseCooldown=0}] run function levelup:levels/levelup/hunting/huntingsense/huntsensecheck
execute as @a[scores={timeCrouched=1..,huntingSenseCooldown=1..}] run scoreboard players reset @s timeCrouched


# Wardens Fall
execute as @a[scores={wardenKilled=1..}] run function levelup:updates/wardensfall/megareset
## Clouded
execute at @a[tag=clouded] run function levelup:updates/wardensfall/waterwarden/attacks/clouded
### Evolve Boosts
execute as @a[tag=kabourosWill,scores={kabourosWill=200..}] run function levelup:updates/prestige/wardenboosts/kabouroswill
execute as @a[tag=kabourosWill,scores={kabourosWillSprint=200..}] run function levelup:updates/prestige/wardenboosts/kabouroswill
## Jaoquim's Piercing Light
execute at @a[nbt={SelectedItem:{id:"minecraft:crossbow",tag:{jPiercingLight:1b}}}] run effect clear @a[distance=..20] darkness
## Holy Zombie Sword
execute as @a[nbt={SelectedItem:{id:"minecraft:netherite_sword",tag:{holyZombieSword:1b}}}] run function levelup:updates/prestige/wardenboosts/weapons/holyzombiesword
## Nagakabouros Idol
execute as @a[nbt={SelectedItem:{id:"minecraft:netherite_sword",tag:{nagakabourosIdol:1b}}}] run function levelup:updates/prestige/wardenboosts/weapons/nagakabourosidol

# Warden transformation - Scarlet
execute as @a[tag=playerWardenS] run function levelup:updates/prestige/wardenboosts/playerwardens/scarlet
# Warden transformation - Flame
execute as @a[tag=playerWardenF] run function levelup:updates/prestige/wardenboosts/playerwardens/flame
# Warden transformation effects - Water
execute as @a[tag=playerWardenW] run function levelup:updates/prestige/wardenboosts/playerwardens/watertrail


#execute as @a[scores={scarletOn=1}] run function levelup:updates/scarletking/toggledon/greet
execute as @a[scores={scarletOn=2}] run function levelup:updates/scarletking/toggledon/start
execute as @a[scores={scarletOn=3}] run function levelup:updates/scarletking/toggledon/howto


function levelup:updates/effects
# Reruns schedule
schedule function levelup:schedules/0.5seconds 10t