# Mining Haste boosts
function levelup:levels/levelup/mining/mininghaste/check
# Excavation boosts
## Digging Haste
function levelup:levels/levelup/digging/digginghaste/check
# Logging boosts
## Logging Haste
function levelup:levels/levelup/logging/logginghaste/check
# Hunting sense Cooldown
execute as @a[scores={huntingSenseCooldown=1..}] run scoreboard players remove @s huntingSenseCooldown 40
execute as @a[scores={huntingSenseCooldown=-100..0}] run scoreboard players set @s huntingSenseCooldown 0
# Wardens fall
execute at @e[type=warden] if entity @p[distance=..20] run function levelup:updates/wardensfall/main
execute as @a[scores={kabourosWill=..200}] run scoreboard players reset @s kabourosWill
execute as @a[scores={kabourosWillSprint=..200}] run scoreboard players reset @s kabourosWillSprint
# Toggle menu
function levelup:toggles
# Toggle Shop
function levelup:shop
# Gives boosts back if you die
execute as @a[scores={Death=1..}] run function levelup:reapply

# Warden transformation - Water
execute as @a[tag=playerWardenW] run function levelup:updates/prestige/wardenboosts/playerwardens/water





# Prestige boosts
execute as @a if entity @s[tag=poseidonsGrace] run function levelup:updates/prestige/ppboosts/poseidonsgrace
execute as @a if entity @s[tag=fortuneFingers] run function levelup:updates/prestige/ppboosts/fortunefingers
execute as @a[tag=thickSkin] run effect give @s resistance 3 0
execute as @a[tag=havel] run attribute @s generic.attack_knockback modifier add ba5df590-bf02-4c60-a0cd-bafb5cca3070 "havel" 1 add
execute as @a[tag=biggerandBetter] run attribute @s generic.armor modifier add 6bed3955-1c6d-408e-a1b0-654ac05b77eb "biggerandbetter" 4 add
execute as @a[tag=biggerandBetter] run attribute @s generic.max_health modifier add b2c3c295-3529-4218-8992-4fde6d3f7566 "biggerandbetter" 4 add
execute as @a[tag=!AutoSmelt] run function levelup:updates/prestige/ppboosts/minereset
execute as @a[tag=bonePlating] run attribute @s generic.armor modifier add af6451e5-316c-4966-8d90-6510cbc61ca4 "boneplating" 8 add
execute as @a[tag=bonePlating] run attribute @s generic.armor_toughness modifier add 2e462c2f-3463-413a-abf2-7d2b21a4ad16 "boneplating" 2 add




scoreboard players remove @a[scores={PatiencePop=2..}] PatiencePop 2
execute as @a[scores={PatiencePop=0}] as @s run function levelup:levels/levelup/fishing/patience
scoreboard players set @a[scores={PatiencePop=0}] PatiencePop 60

# Reruns schedule
schedule function levelup:schedules/2seconds 2s